Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class TieLooselyBoundedCache

    java.lang.Object
      oracle.ifs.common.Cache
          oracle.ifs.common.BoundedCache
              oracle.ifs.common.LooselyBoundedCache
                  oracle.ifs.common.TieLooselyBoundedCache

    public class TieLooselyBoundedCache

extends LooselyBoundedCache

A TieLooselyBoundedCache is provided as a means to extend the behavior of LooselyBoundedCache.

(Published)

Field Summary

Fields inherited from class oracle.ifs.common.LooselyBoundedCache
`m_AccessSequence, m_CacheCountEstimate, m_Capacity, m_EmergencyCapacityTrigger, m_EmergencyPurgeRequested, m_HitCount, m_Items, m_LockCount, m_MissCount, m_NormalCapacityTrigger, m_NormalPurgeRequested, m_PurgeCount, m_PurgeCycleCount, m_PurgeCycleTime, m_PurgeInProgress, m_PurgeTarget, m_PutCount, m_RemoveCount, m_SequenceAtPreviousPurge, m_UrgentCapacityTrigger, m_UrgentPurgeRequested`

Fields inherited from class oracle.ifs.common.Cache
`m_Configuration`

Constructor Summary
`TieLooselyBoundedCache(BoundedCacheConfiguration configuration)` Constructs a TieLooselyBoundedCache.

Method Summary

Methods inherited from class oracle.ifs.common.LooselyBoundedCache
`addEntry, addLockedEntry, checkIfPurgeNeeded, dispose, find, getCachePerformance, getElements, lock, lock, performNormalPurgeIfNeeded, performUrgentPurgeIfNeeded, purge, purgeEntry, put, put, remove, reset, resetCachePerformance, setCacheConfiguration, validateCacheConfiguration`

Methods inherited from class oracle.ifs.common.Cache
`getCacheConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieLooselyBoundedCache

    public TieLooselyBoundedCache(BoundedCacheConfiguration configuration)
                           throws IfsException

  Constructs a TieLooselyBoundedCache.

  Parameters:
    `configuration` - the configuration paramaters for the new cache
  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD